d.frame(1)	       Grass User's Manual	       d.frame(1)



NNAAMMEE
       dd..ffrraammee	 -  Manages display frames on the user's graphics
       monitor.
       _(_G_R_A_S_S _D_i_s_p_l_a_y _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       dd..ffrraammee
       dd..ffrraammee hheellpp
       dd..ffrraammee [--cceeppssllDD] [ffrraammee==_n_a_m_e] [aatt==_b_o_t_t_o_m_,_t_o_p_,_l_e_f_t_,_r_i_g_h_t]

DDEESSCCRRIIPPTTIIOONN
       This program manages display frames on the user's graphics
       monitor.   GRASS display programs at run-time connect with
       graphics rendering programs.  While the	display  programs
       are  identical  on  every  hardware platform, the graphics
       rendering programs are (essentially the	only  GRASS  pro-
       grams)  designed  for  individual  hardware devices. These
       rendering programs are  managed	with  the  GRASS  program
       _d_._m_o_n.  Graphics  are  displayed  in rectangular frames on
       whatever graphics monitor the user is currently	directing
       GRASS  display  output  to.   These frames are created and
       managed with this program, NNoottee that GRASS frame  contents
       are not retained when one frame covers another. You cannot
       shuffle frames from top to bottom  and  then  back  again.
       They  simply  define rectangular areas on the screen where
       subsequent drawing will occur.



   FFllaaggss::
       --cc     Creates a new display frame on the  graphics  moni-
	      tor.

       --ee     Removes  all existing display frames and reinitial-
	      izes the entire graphics	screen	(the  full-screen
	      display frame).

       --pp     Prints the name of the active frame, in which GRASS
	      display output will appear.

       --ss     Selects a frame for the display of GRASS	graphics.
	      This frame is then known as the "active frame".

       --ll     List map names displayed in GRASS monitor

       --DD     Prints  the  status  of the user's graphics monitor
	      and active display frame to standard output. Infor-
	      mation  includes the name and the dimensions of the
	      current frame on the graphics monitor, given in the
	      form _b_o_t_t_o_m top left right. This function is useful
	      for debugging output, and for  determining  display
	      screen coordinates.




   PPaarraammeetteerrss::
       ffrraammee==_n_a_m_e
	      The   name   of	the  display  frame  to  be  cre-
	      ated/selected.

       aatt==_b_o_t_t_o_m_,_t_o_p_,_l_e_f_t_,_r_i_g_h_t
	      Where to place the frame (implies --cc).  Frame coor-
	      dinates	 are	stated	  in   the   form:   _b_o_t_-
	      _t_o_m_,_t_o_p_,_l_e_f_t_,_r_i_g_h_t. The lower-left  corner  of  the
	      graphics	monitor  always  is at location 0,0 while
	      the  monitor's  upper-right  corner  is  always  at
	      100,100 (the values are in percent).


NNOOTTEESS
       If the user has created multiple display frames that over-
       lap one another, whatever the user displays in the  active
       frame  will  overwrite  those  portions	of the underlying
       frame where these frames overlap.

SSEEEE AALLSSOO
       _d_._e_r_a_s_e

       _d_._m_o_n

AAUUTTHHOORR
       James  Westervelt,  U.S.  Army  Construction   Engineering
       Research Laboratory
       Michael	 Shapiro,   U.S.  Army	Construction  Engineering
       Research Laboratory

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_2 _$



GRASS 5.0					       d.frame(1)
